//
//  MessageLayer.m
//  PeerPong
//
//  Created by Thomas Fankhauser on 09.12.11.
//  Copyright (c) 2011 southdesign.de. All rights reserved.
//

#import "MessageLayer.h"

@implementation MessageLayer

- (id)init {
    self = [super init];
    if (self) {
        CGSize size = [[CCDirector sharedDirector] winSize];
        
        // setup message label
        messageLabel = [CCLabelTTF labelWithString:@"" fontName:@"Marker Felt" fontSize:40.0];
        messageLabel.position = ccp(size.width/2, size.height/2);
        [self addChild:messageLabel];
    }
    return self;
}


-(void)popMessage:(NSString*)aMessage{
    
    // animate it
    [messageLabel stopAllActions];
    messageLabel.scale = 1.0;
    messageLabel.opacity = 1;
    messageLabel.string = aMessage;
    [messageLabel runAction: [CCScaleBy actionWithDuration:0.5 scale:5.0]];
    [messageLabel runAction: [CCFadeOut actionWithDuration:0.5]];
    
}

@end
