//
//  PeerPongServer.h
//  PeerPong
//
//  Created by Volker Tietz on 11/22/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "cocos2d.h"
#import "PeerPongObjects.h"
@class UnicornServer;
@class PeerPongGameplay;
@class GCDAsyncSocket;

@interface PeerPongServer : NSObject {
    UnicornServer *server;
    PeerPongGameplay *gamePlay;
}

@property (nonatomic,retain) UnicornServer *server;
@property (nonatomic,retain) PeerPongGameplay *gamePlay;

-(void)start;
-(void)stop;
-(void)didReceiveObject:(id)object fromClient:(GCDAsyncSocket *)client;
-(void)didReceiveError:(NSError*)error;
-(void)didDisconnectFromClient:(GCDAsyncSocket *)client;
-(void)sendObject:(id)object toClient:(GCDAsyncSocket *)client;

@end
