//
//  WelcomeLayer.m
//  PeerPong
//
//  Created by Volker Tietz on 11/23/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "WelcomeLayer.h"
#import "PeerPongGameplay.h"
#import "PeerPongPlayer.h"

@implementation WelcomeLayer

@synthesize playerLabels;

- (id)init {
    self = [super init];
    if (self) {
        self.isTouchEnabled = YES;
        gameplay = [PeerPongGameplay sharedInstance];
        
        // ask director the the window size
        size = gameplay.windowSize;
//		size = [[CCDirector sharedDirector] winSize];
		
		server = [CCLabelTTF labelWithString:gameplay.serverName 
                                    fontName:gameplay.fontName 
                                    fontSize:gameplay.defaultFontSize];
		server.position =  ccp(size.width/2, size.height/2+200);
		[self addChild:server];
        
//        self.playerLabels = [NSMutableArray arrayWithCapacity:4];
//        
//        int initialYPosition = 100;
//        
//        for (int i = 0; i < 4; i++) {
//            CCLabelTTF *label = [CCLabelTTF labelWithString:[NSString stringWithFormat:@"%d. Empty", i+1] 
//                                                   fontName:gameplay.fontName 
//                                                   fontSize:gameplay.defaultFontSize];
//            label.position = ccp(size.width/2, size.height/2 + (initialYPosition - i*75));
//            [self.playerLabels addObject:label];
//            [self addChild:[self.playerLabels objectAtIndex:i]];
//        }
                
	}
	return self;
}

#pragma mark - Labels

//-(void)updateLabelForPlayer:(PeerPongPlayer *)aPlayer {
//    CCLabelTTF *label = [self.playerLabels objectAtIndex:[aPlayer.slot intValue]];
//    label.string = [NSString stringWithFormat:@"%d. %@", [aPlayer.slot intValue]+1, aPlayer.name];
//    
//    if([gameplay.players count] >= 1 && ![self getChildByTag:98]) {
//        tapToStartGame = [CCLabelTTF labelWithString:@"Tap to start game!" 
//                                            fontName:gameplay.fontName 
//                                            fontSize:gameplay.defaultFontSize];
//        tapToStartGame.position =  ccp(size.width/2, size.height/2-200);
//        tapToStartGame.tag = 98;
//        [self addChild:tapToStartGame];
//        
//        // Scale effect
//        id scaleAction = [CCScaleBy actionWithDuration:0.5 scale:1.3];
//        id scaleRepeated = [CCRepeatForever actionWithAction:
//                      [CCSequence actions: [[scaleAction copy] autorelease], [scaleAction reverse], nil]];
//        
//        [tapToStartGame runAction:scaleRepeated];
//    }
//}
//
//-(void)removeLabelForPlayer:(int)aSlotNumber {
//    CCLabelTTF *label = [self.playerLabels objectAtIndex:aSlotNumber];
//    label.string = [NSString stringWithFormat:@"%d. Empty", aSlotNumber+1];
//    
//    if([gameplay.players count] == 1) {
//        [self removeChild:tapToStartGame cleanup:YES];
//    }
//}

//#pragma mark - Touch events
//-(void) registerWithTouchDispatcher {
//	[[CCTouchDispatcher sharedDispatcher] addTargetedDelegate:self priority:0 swallowsTouches:YES];
//}
//
//-(BOOL)ccTouchBegan:(UITouch *)touch withEvent:(UIEvent *)event {
//    if([gameplay.players count] > 0) {
//        [gameplay startGame];
//        return YES;
//    }
//    return NO;
//}

- (void)dealloc {
    [super dealloc];
}

@end
