//
//  PaddlesLayer.h
//  PeerPong
//
//  Created by Volker Tietz on 11/18/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "cocos2d.h"
#import "Box2D.h"
@class PeerPongGameplay;
@class PeerPongPlayer;
@class PeerPongPaddle;

@interface PaddlesLayer : CCLayer <CCStandardTouchDelegate> {
    CCSprite *leftBar;
    CCSprite *rightBar;
    CCSprite *topBar;
        
    PeerPongGameplay *gameplay;
     
    float gameBoxWidth;
    float gameBoxHeight;
}

-(void)addPaddleForPlayer:(PeerPongPlayer *)aPlayer;
-(void)removePaddleForPlayer:(PeerPongPlayer *)aPlayer;

-(void)updatePaddles;

//-(void)tick:(ccTime) dt;


@end
