//
//  PeerPongPlayer.h
//  PeerPong
//
//  Created by Volker Tietz on 11/30/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import <Foundation/Foundation.h>
@class GCDAsyncSocket;
@class PeerPongPaddle;

@interface PeerPongPlayer : NSObject {
    NSString *name;
    float offset;
    GCDAsyncSocket *socket;
    NSNumber *slot;
    int livesLeft;
    
    PeerPongPaddle *paddle;
    BOOL hasBeenAskedToJoin;
}

@property (nonatomic,retain) NSString *name;
@property (nonatomic) float offset;
@property (nonatomic,retain) GCDAsyncSocket *socket;
@property (nonatomic,retain) NSNumber *slot;
@property (nonatomic) int livesLeft;
@property (nonatomic,retain) PeerPongPaddle *paddle;
@property (nonatomic) BOOL hasBeenAskedToJoin;

-(void)resetLives;
-(void)loseLife;

@end
