//
//  PeerPongQueueItem.m
//  PeerPong
//
//  Created by Volker Tietz on 12/6/11.
//  Copyright (c) 2011 __MyCompanyName__. All rights reserved.
//

#import "PeerPongQueueItem.h"
#import "PeerPongGameplay.h"

@implementation PeerPongQueueItem

@synthesize sprite, label, queueSlot;

-(id)initWithQueueSlot:(int)aQueueSlot {
    self = [super init];
    if (self) {
        gameplay = [PeerPongGameplay sharedInstance];
        self.queueSlot = aQueueSlot;
        
        self.sprite = [CCSprite spriteWithFile:@"queue_item_153.png"];
        self.sprite.position = ccp(gameplay.windowSize.width - ((self.queueSlot+1)*190), 25);
        self.sprite.tag = gameplay.queueSpriteTag;
        
        self.label = [CCLabelTTF labelWithString:@"" 
                                        fontName:gameplay.fontName 
                                        fontSize:16];
        self.label.position = ccp(self.sprite.contentSize.width/2, self.sprite.contentSize.height/2);
        [self.sprite addChild:self.label];
    }
    return self;
}

@end
